"""
Uses my adapted solvated_mixtures to create input files for erythromycin a different starting conformations. 
"""
from solvated_mixtures_CCB import *
import numpy as np
import pickle
import os
import sys
import commands
from MDPandRunMethods import *

MDP_path = "/work/cluster/bannanc/PartitionCoeff/RoundThree/MDP_Path/"
big_path = "/work/cluster/bannanc/PartitionCoeff/RoundThree/newConformations5785/%s_%i/"
#Import dictionary
# use key (number) as label for solutes and [number]['smile'] for smile string
database = pickle.load(open("../dictionary_noResults.p","rb"))
num = '5785'

# Get the smile for erythromycin
for molname, entry in database.items():
    if entry['number'] == num:
        solu_smile = entry['smile']        
#Number of solutes
Nsolu = 1

# Label and smile string for only solvent
solvent_labels = ["octanol","cyclohexane","water"]
solvent_smiles = ["CCCCCCCCO", "C1CCCCC1", "O"]
solvent_confs = 1

# Number of solvents needed to get to 3000 atoms
Nsolvs = [100, 150, 1331] # Number of water molecules was based on water simulation with erythromycin 

current = os.getcwd()
#Construct systems for both solvents
solu_confs = [2, 3, 4, 5, 6, 7, 8, 9, 10]
for solu_conf in solu_confs:
    # For now stop at 4 conformations
    if solu_conf > 4:
        continue 
    for i, solv in enumerate(solvent_labels):
        solv_smile = solvent_smiles[i]
        Nsolv = Nsolvs[i]
        print 'Solvent: ', solv
        print "\tSolute: ", num, ', conformation: ', solu_conf
        path = big_path % (solv, solu_conf)
        #Construct system name/label
        builder = MixtureSystem( [num, solv], [solu_smile, solv_smile], [Nsolu, Nsolv], path+'/', solute_index = 'auto', storeConfs = [solu_conf, solvent_confs])
        builder.run( just_build = True )
        builder.convert_to_gromacs()

        long_file = num+'_'+solv+'_1_'+str(Nsolv)

        # Move gro and top files to calculation directory
        for end in ['gro','top']:
            print commands.getoutput("cp %s/gromacs/%s.%s %s/mol.%s" % (path, long_file, end, path, end))

        getFiles(MDP_path, path, jobName = num+'_'+solv[:3])
        os.chdir(path)
        commands.getoutput("for ((n=0; n<20; n++)) do sbatch run.${n}.sh; done")
        os.chdir(current)


